Package org.jbpm.services.task.impl.model

## Class ReassignmentImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.ReassignmentImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.internal.task.api.model.Reassignment`

      @Entity
      public class ReassignmentImpl
      extends Object
      implements org.kie.internal.task.api.model.Reassignment

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReassignmentImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `List<org.kie.api.task.model.I18NText>` | `getDocumentation()` |
    `Long` | `getId()` |
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getPotentialOwners()` |
    `int` | `hashCode()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setDocumentation​(List<org.kie.api.task.model.I18NText> documentation)` |
    `void` | `setId​(long id)` |
    `void` | `setPotentialOwners​(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReassignmentImpl

          public ReassignmentImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.internal.task.api.model.Reassignment`

    - #### setId

          public void setId​(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.Reassignment`

    - #### getDocumentation

          public List<org.kie.api.task.model.I18NText> getDocumentation()

      Specified by:
        `getDocumentation` in interface `org.kie.internal.task.api.model.Reassignment`

    - #### setDocumentation

          public void setDocumentation​(List<org.kie.api.task.model.I18NText> documentation)

      Specified by:
        `setDocumentation` in interface `org.kie.internal.task.api.model.Reassignment`

    - #### getPotentialOwners

          public List<org.kie.api.task.model.OrganizationalEntity> getPotentialOwners()

      Specified by:
        `getPotentialOwners` in interface `org.kie.internal.task.api.model.Reassignment`

    - #### setPotentialOwners

          public void setPotentialOwners​(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

      Specified by:
        `setPotentialOwners` in interface `org.kie.internal.task.api.model.Reassignment`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`